GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtGenProcedure Class Reference
Instrumentation Procedure

Abstract representation of the GTPin code procedure. More...

`#include <igt_gen_procedure.h>`

Inherited by gtpin::final.

## Public Member Functions
virtual void | Append (IGtIns &ins)=0
| Append the specified instruction at the end of this procedure.
virtual void | AppendTo (IGtGenProcedure &otherProc) const =0
| Append instructions of this procedure at the end of 'otherProc'.
void | Append (const IGtGenProcedure &otherProc)
| Append 'otherProc' instructions at the end of this procedure.
virtual void | Clear ()=0
| Remove (not delete) all instructions from this procedure.
virtual uint32_t | Size () const =0
| Return number of instructions in the procedure.
virtual bool | IsEmpty () const =0
| Return true if there is no instructions in the procedure.
virtual void | IterateInstructions (IGtInsHandler &handler) const =0
| Iterate instructions of this procedure and process them with the specified handler.
virtual void | IterateInstructions (IGtInsHandler &handler)=0
| Iterate instructions of this procedure and process them with the specified handler.

## Detailed Description

Abstract representation of the GTPin code procedure.

Mainly, the IGtGenProcedure objects are used to represent instrumentation procedures inserted into original code of the kernel. See IGtKernelInstrument::InstrumentInstruction for an example of using IGtGenProcedure in the kernel instrumentation interface.

Availability:
  - IGtTool::OnKernelBuild

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT